Subject: RE: [Diffserv] DSCP --> 802.1p

From: Shahram Davari <[email-masked]>
Date: Tue, 13 Feb 2001 13:44:36 -0800

Hi,

The draft just tries to mention that the NHLFE table must be populated with the PHB -> 802.1 mapping. But it leaves the actual mapping a local matter:

"
3.4.4.1 Preconfigured `PHB-->802.1 Mapping'

   At the time of producing this specification, there are no
   standardized mapping from PHBs to 802.1 Traffic Classes.
   Consequently, an LSR supporting multiple 802.1 Traffic Classes over
   LAN interfaces must allow local configuration of a `PHB-->802.1
   Mapping'. This mapping applies to all the outgoing LSPs established
   by the LSR on such LAN interfaces."

Yours,
-Shahram

> -----Original Message-----
> From: Andrew Smith [mailto:[email-masked]]
> Sent: Tuesday, February 13, 2001 4:12 PM
> To: Rajeev Manur
> Cc: [email-masked]
> Subject: Re: [Diffserv] DSCP --> 802.1p
> 
> 
> I was surprised about this too: when Diffserv discussed the 
> DSCP->802.1p mapping 
> (or, to be precise, the PHB->802.1p mapping) there was vocal 
> argument to leave 
> that alone as something that users would want to configure 
> locally. I'm quite 
> surprised that the MPLS WG, with largely the same folks 
> contributing to the 
> work, has decided to do the opposite.
> 
> Note that 802.1p (full reference below) only dictates the 
> *default* queueing 
> behaviour of 802.1 switches as what I call "strict priority 
> with a few warts" 
> (the class priority order is 1,2,0,3,4,5,6,7) most switches 
> today allow 
> reconfiguration for other scheduling algorithms. So it would 
> seem to me quite 
> inappropriate for IETF to define standard mappings - perhaps 
> some standard 
> defaults would be OK but that's quite a different thing (I 
> guess I now need to 
> read the draft in question in more detail :-().
> 
> Andrew
> 
> Rajeev Manur wrote:
> 
> > I see that MPLS-DS draft has defined the EXP -> 802.1p 
> mapping for pkts
> > going out on ethernet/LAN interfaces. I did'nt find a 
> similar DSCP -> 802.1p
> > mapping define in the IP-DS RFCs/drafts. I fail to 
> understand why do we
> > treat them differently..
> > 
> > Can anyone throw more light on this ?? Thanks
> > 
> > with regards,
> > Rajeev
> > 
> > 
> > _______________________________________________
> > diffserv mailing list
> > [email-masked]
> > http://www1.ietf.org/mailman/listinfo/diffserv
> > Archive: 
> http://www2.ietf.org/mail-archive/working-groups/diffserv/curr
ent/maillist.html

_______________________________________________
diffserv mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www2.ietf.org/mail-archive/working-groups/diffserv/current/maillist.html

_______________________________________________
diffserv mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www2.ietf.org/mail-archive/working-groups/diffserv/current/maillist.html